Package org.eclipse.emf.cdo.server

## Class CDOServerBrowser.RevisionsPage.FromStore

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
  - - org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage
    - - org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage.FromStore

- All Implemented Interfaces:
    `CDOServerBrowser.Page`
  Enclosing class:
    CDOServerBrowser.RevisionsPage

      public static class CDOServerBrowser.RevisionsPage.FromStore
      extends CDOServerBrowser.RevisionsPage

  A `server browser page` that renders the `revisions` in a `store`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage

      `CDOServerBrowser.RevisionsPage.FromCache, CDOServerBrowser.RevisionsPage.FromStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `NAME` |

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FromStore()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `canDisplay​(InternalRepository repository)` |
    `protected java.util.Map<CDOBranch,​java.util.List<CDORevision>>` | `getAllRevisions​(InternalRepository repository)` |

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage

      `display, getCDOIDLabel, getRevisionValue, showKeyValue, showRevision, showRevision`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

      `getLabel, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final java.lang.String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FromStore

          public FromStore()

  - ### Method Detail

    - #### canDisplay

          public boolean canDisplay​(InternalRepository repository)

    - #### getAllRevisions

          protected java.util.Map<CDOBranch,​java.util.List<CDORevision>> getAllRevisions​(InternalRepository repository)

      Specified by:
        `getAllRevisions` in class `CDOServerBrowser.RevisionsPage`